import dynamix_sdk.base as _base


class CloudapiComputeDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def delete(
        self,
        *,
        vm_id: int,
        detach_disks: bool = False,
        permanently: bool = False,
    ) -> CloudapiComputeDeleteResultBool:
        ...
